You could use Respan’s unified LLM API to call Text-to-speech model to turn text into lifelike spoken audio.
Respan now supports tts-1 and tts-1-hd models from OpenAI.
Go to OpenAI API plaform to get your OpenAI API key.
You should add your OpenAI’s API key on Respan credentials page.
model string required: The model to use. It should be one of tts-1 or tts-1-hd.
input string required: The text to generate audio for. The maximum length is 4096 characters.
voice string required: The voice to use when generating the audio. Supported voices are alloy, echo, fable, onyx, nova, and shimmer. Previews of the voices are available in the OpenAI’s Text to speech guide.
response_format string: The format to audio in. Supported formats are mp3, opus, aac, flac, wav, and pcm.
speed Number: The speed of the generated audio. Select a value from 0.25 to 4.0. 1.0 is the default.
See how to make a standard Respan API call in the Quick Start guide.
customer_credentials object: You can pass in your customer’s credentials for supported providers and use their credits when our proxy is calling models from those providers. Example
disable_log boolean: When set to true, only the request and performance
metrics will be recorded, input
and output messages will be omitted from the log.metadata dict: You can add any key-value pair to this metadata field for your reference. Check the details of metadata here.Contact team@respan.ai if you need extra parameter support for your use case.
Example
customer_identifier string: Use this as a tag to identify the user associated with the API call. See the details of customer identifier here.Example
customer_email string: This is the email address of the user associated with the API call. You can add your corresponding user’s email address to the request.
You could also edit customer’s emails on the platform. Check the details of user editing here.
Example
thread_identifier string: See spans as a conversation thread. Pass all spans with the same thread_identifier to see them in the same thread.Example
request_breakdown boolean: Adding this returns the summarization of the response in the response body. If streaming is on, the metrics will be streamed as the last chunk.
Properties
API key authentication. Get your API key from https://platform.respan.ai/platform/api-keys